<?php
declare(strict_types=1);

namespace App\ApiResource;

use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\Get;
use ApiPlatform\Metadata\Post;
use App\State\Processor\CvPdfRequestProcessor;
use App\State\Provider\CvPdfRequestProvider;

#[ApiResource(
    operations: [
        new Get(
            uriTemplate: '/download-cv',
        ),
        new Post(
            uriTemplate: '/download-cv',
        ),
    ],
    provider: CvPdfRequestProvider::class,
    processor: CvPdfRequestProcessor::class
)]
class CvPdfRequest
{
    protected string $altchaPayload;

    public function getAltchaPayload(): string
    {
        return $this->altchaPayload;
    }

    public function setAltchaPayload(string $altchaPayload): void
    {
        $this->altchaPayload = $altchaPayload;
    }
}